cascading.flow.stream.element

## Class EveryStage<Incoming>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Incoming,TupleEntry>
      - - cascading.flow.stream.element.OperatorStage<Incoming>
        - - cascading.flow.stream.element.EveryStage<Incoming>

- All Implemented Interfaces:
    ElementDuct
  Direct Known Subclasses:
    AggregatorEveryStage, BufferEveryWindow, GroupAssertionEveryStage

      public abstract class EveryStage<Incoming>
      extends OperatorStage<Incoming>

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.OperatorStage

      `argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EveryStage(FlowProcess flowProcess, Every every)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operator` | `getOperator()`

    - ### Methods inherited from class cascading.flow.stream.element.OperatorStage

      `cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getIncomingArgumentsFields, getIncomingPassThroughFields, getOperationDeclaredFields, getOutgoingSelector, initialize, prepare`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Stage

      `receive`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, getNext, getNextFor, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EveryStage

          public EveryStage(FlowProcess flowProcess,
                    Every every)

  - ### Method Detail

    - #### getOperator

          public Operator getOperator()

      Specified by:
        `getOperator` in class `OperatorStage<Incoming>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.